summaryrefslogtreecommitdiffstats
path: root/multimedia/kdenlive
diff options
context:
space:
mode:
author stormtracknole <stormtracknole@gmail.com>2010-05-13 00:59:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:43 +0200
commit30b84271fcec7c5374ef2e0bd540131cf7880ce0 (patch)
treee4d57bf6e7b07d23421b335cf66d69800ccd631e /multimedia/kdenlive
parent74948c43587b79e1b0b48df3d593e99609b09f2e (diff)
downloadslackbuilds-30b84271fcec7c5374ef2e0bd540131cf7880ce0.tar.gz
slackbuilds-30b84271fcec7c5374ef2e0bd540131cf7880ce0.tar.xz
multimedia/kdenlive: Added to 13.0 repository
Diffstat (limited to 'multimedia/kdenlive')
-rw-r--r--multimedia/kdenlive/README5
-rw-r--r--multimedia/kdenlive/doinst.sh20
-rw-r--r--multimedia/kdenlive/kdenlive.SlackBuild74
-rw-r--r--multimedia/kdenlive/kdenlive.info10
-rw-r--r--multimedia/kdenlive/slack-desc18
5 files changed, 127 insertions, 0 deletions
diff --git a/multimedia/kdenlive/README b/multimedia/kdenlive/README
new file mode 100644
index 0000000000..a35aeb2b99
--- /dev/null
+++ b/multimedia/kdenlive/README
@@ -0,0 +1,5 @@
+Kdenlive is an intuitive and powerful multi-track video editor including
+most recent video technologies.
+
+This requires mlt, recordmydesktop, dvgrab, x264, xvidcore,
+schroedinger, lame, libquicktime, faac, faad2, gsm, and amrnb.
diff --git a/multimedia/kdenlive/doinst.sh b/multimedia/kdenlive/doinst.sh
new file mode 100644
index 0000000000..81b301c3a3
--- /dev/null
+++ b/multimedia/kdenlive/doinst.sh
@@ -0,0 +1,20 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/oxygen/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/oxygen >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/kdenlive/kdenlive.SlackBuild b/multimedia/kdenlive/kdenlive.SlackBuild
new file mode 100644
index 0000000000..0a2c4ee832
--- /dev/null
+++ b/multimedia/kdenlive/kdenlive.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for kdenlive
+
+# stormtracknole stormtracknole@gmail.com
+# 8/5/2009
+
+PRGNAM=kdenlive
+VERSION=${VERSION:-0.7.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ .
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/kdenlive/kdenlive.info b/multimedia/kdenlive/kdenlive.info
new file mode 100644
index 0000000000..661bde601f
--- /dev/null
+++ b/multimedia/kdenlive/kdenlive.info
@@ -0,0 +1,10 @@
+PRGNAM="kdenlive"
+VERSION="0.7.6"
+HOMEPAGE="http://www.kdenlive.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/kdenlive/kdenlive/0.7.6/kdenlive-0.7.6.tar.gz"
+MD5SUM="fb3732c79e489db364811fc88b99aec8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="stormtracknole"
+EMAIL="stormtracknole@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/kdenlive/slack-desc b/multimedia/kdenlive/slack-desc
new file mode 100644
index 0000000000..5e3dbad09a
--- /dev/null
+++ b/multimedia/kdenlive/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdenlive: Kdenlive (KDE Non Linear Video Editor)
+kdenlive:
+kdenlive: Using the MLT video framework. It is currently under development
+kdenlive: Kdenlive provides dual video monitors, a multi-track timeline and
+kdenlive: clip list. Other features include customizable layout support, basic
+kdenlive: effects and transition.
+kdenlive:
+kdenlive:
+kdenlive: http://kdenlive.sourceforge.net
+kdenlive: